package com.interpress_project.modernshare.client.controller.actions;

import com.interpress_project.modernshare.client.controller.command.TaskManager;
import com.interpress_project.modernshare.client.view.ViewManager;

/**
 *@stereotype action
 */
public final class PropertyAction extends ActionAdaptor {
	private final ViewManager vmgr;

	/**
	 * PropertyAction
	 * @param vmgr
	 */
	public PropertyAction(ViewManager vmgr) {
		setText("プロパティ(&P)");
		setToolTipText("クライアントのプロパティを設定します。");
		try {
			setImageDescriptor(ImageFactory.getInstance().getImageDescriptor("property"));
		}
		catch (Exception ex) {
			sb.getLogger().fatal("リソース設定のエラーが発生しました。", ex);
			System.exit(-1);
		}
		this.vmgr = vmgr;
	}

	/**
	 * run
	 */
	public void run() {
		TaskManager taskmgr = TaskManager.getInstance();
		try {
			taskmgr.stop();
			vmgr.getDialogManager().createPreferenceDialog();
		}
		finally {
			taskmgr.start();
		}
	}
}
